function [A,E] = myprederr(THIS,DATA,OPT) %#ok<INUSD>

t = 1+THIS.maxlag : size(DATA,2)-THIS.maxlead;
p = THIS.Assign;
E = THIS.eqtneval(DATA,p,t);
ne = size(E,1);

C = eye(ne);
CC = chol(C).';
u = CC\E;

A = u(:).' * u(:) / 2;

end